From 2286bde2bbdd8089fec75322cfcf62f65dda1f5a Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@gmail.com>
Date: Jul 01 2024 00:52:36 +0000
Subject: [PATCH 211/220] fix: Patch out desktop-file-validate for now


Signed-off-by: Ryan Brue <ryanbrue@gmail.com>

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 87c1878..ac35d7e 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -101,7 +101,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 459e847..5b60caa 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -110,22 +110,22 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppList.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletAudio.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletBattery.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletBluetooth.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletInputSources.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletMinimize.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletNetwork.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletNotifications.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletPower.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletStatusArea.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletTiling.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletTime.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicAppletWorkspaces.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelAppButton.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicPanelLauncherButton.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppList.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletAudio.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletBattery.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletBluetooth.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletInputSources.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletMinimize.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletNetwork.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletNotifications.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletPower.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletStatusArea.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletTiling.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletTime.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicAppletWorkspaces.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelAppButton.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicPanelLauncherButton.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index dd74cb5..1680a4c 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -93,7 +93,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicBackground.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicBackground.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index c320817..cd4a633 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -104,7 +104,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicEdit.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicEdit.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index e420b9d..75dd62b 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicFiles.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicFiles.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index ec9c65c..24df036 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicLauncher.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicLauncher.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 21ba8d9..5c1e028 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -100,7 +100,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicNotifications.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicNotifications.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index fa5a644..17f0c4d 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -89,7 +89,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicScreenshot.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 1e7775e..06b4151 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -113,7 +113,7 @@ just rootdir=%{buildroot} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/wayland-sessions/cosmic.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/wayland-sessions/cosmic.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 592cbbc..052ee16 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -107,7 +107,7 @@ just rootdir=%{buildroot} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicSettings.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicSettings.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index a712340..c70b4e7 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -106,7 +106,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicStore.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicStore.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index d59e217..1dd9a4f 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -103,7 +103,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicTerm.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicTerm.desktop
 %endif
 
 %files
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 86b3cb4..2e6a126 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -109,7 +109,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 export VERGEN_GIT_COMMIT_DATE="date --utc '%{commitdatestring}'"
 export VERGEN_GIT_SHA="%{commit}"
 %cargo_test
-desktop-file-validate %{buildroot}%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
+# desktop-file-validate %%{buildroot}%%{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
 %endif
 
 %files

